Package weka.gui.sql.event

# Interface ConnectionListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `QueryPanel`, `SqlViewer`

public interface ConnectionListener extends EventListener
A listener for connect/disconnect events.

Version:
  $Revision: 1.1 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)

## Method Summary

Modifier and Type
Method
Description
`void`
`connectionChange(ConnectionEvent evt)`
This method gets called when the connection is either established or disconnected.

## Method Details

### connectionChange

void connectionChange(ConnectionEvent evt)
This method gets called when the connection is either established or disconnected.